Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class SearchResultObject

    java.lang.Object
      oracle.ifs.beans.SearchResultObject

    public final class SearchResultObject

extends java.lang.Object

The SearchResultObject encapsulates a row of a Search result. A Result row contains one or more LibraryObjects. It also contains the scores of any ContextQualifications if your search was interMedia search.

(Published)

Field Summary
`protected java.lang.String` | `m_DefaultResultClass`
`protected java.util.Hashtable` | `m_Objects`
`protected java.util.Hashtable` | `m_Scores`

Constructor Summary
`SearchResultObject(LibrarySession sess, S_SearchResultObjectData sData)` Constructs a SearchResultObject from SearchResultObjectData.

Method Summary
`LibraryObject` | `getLibraryObject()` Returns the first object in the SearchResult.
`LibraryObject` | `getLibraryObject(java.lang.String className)` Returns the result object for the class.
`int` | `getScore(java.lang.String ctxClauseName)` Returns the score associated with a ContextQualification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Objects

    protected java.util.Hashtable m_Objects

(Unpublished)

### m_Scores

    protected java.util.Hashtable m_Scores

(Unpublished)

### m_DefaultResultClass

    protected java.lang.String m_DefaultResultClass

(Unpublished)

Constructor Detail

### SearchResultObject

    public SearchResultObject(LibrarySession sess,
                              S_SearchResultObjectData sData)
                       throws IfsException

  Constructs a SearchResultObject from SearchResultObjectData. Called from Search.

  Parameters:
    `sess` - LibrarySession used for constructing LibrarYObjects from Dats objects
    `sData` - SearchResultObjectData structure
  Throws:
    `IfsException` - if constructing of elements of SearchResult fails
  (Unpublished)

Method Detail

### getLibraryObject

    public LibraryObject getLibraryObject(java.lang.String className)
                                   throws IfsException

  Description copied from class: `SearchResultObject`
  Returns the result object for the class. If an alias was used in the SearchClassSpecification, it must be specified here.

  Parameters:
    `className` - name of the class or alias of the class in the result
  Returns:
    LibraryObject if present; null otherwise.
  Throws:
    `IfsExceptionm` - if the operation fails
    `IfsException`
  (Published)

### getLibraryObject

    public LibraryObject getLibraryObject()
                                   throws IfsException

  Description copied from class: `SearchResultObject`
  Returns the first object in the SearchResult.

  Returns:
    first object in SearchResult.
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getScore

    public int getScore(java.lang.String ctxClauseName)
                 throws IfsException

  Description copied from class: `SearchResultObject`
  Returns the score associated with a ContextQualification. The ctxClauseName should be the same as the name specified for the ContextQualification.

  Parameters:
    `ctxClauseName` - name of ContextQualification whose score is required.
  Returns:
    the interMedia score for this row of result.
  Throws:
    `IfeException` - if the operation fails.
    `IfsException`
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD